clay-crypto
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/realglobe-Inc/clay-crypto
[bd_travis_url]: http://travis-ci.org/realglobe-Inc/clay-crypto
[bd_travis_shield_url]: http://img.shields.io/travis/realglobe-Inc/clay-crypto.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/realglobe-Inc/clay-crypto
[bd_travis_com_shield_url]: https://api.travis-ci.com/realglobe-Inc/clay-crypto.svg?token=
[bd_license_url]: https://github.com/realglobe-Inc/clay-crypto/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/realglobe-Inc/clay-crypto
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/realglobe-Inc/clay-crypto.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/realglobe-Inc/clay-crypto.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/realglobe-Inc/clay-crypto
[bd_gemnasium_shield_url]: https://gemnasium.com/realglobe-Inc/clay-crypto.svg
[bd_npm_url]: http://www.npmjs.org/package/clay-crypto
[bd_npm_shield_url]: http://img.shields.io/npm/v/clay-crypto.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Cryptographic utility for Clay DB

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
-----

```bash
$ npm install clay-crypto --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Usage.md.hbs" Start -->

<a name="section-doc-guides-02-usage-md"></a>

Usage
---------

```javascript
'use strict'

const {
  generate,
  encrypt, decrypt
} = require('clay-crypto')

{
  const {publicKey, privateKey} = generate('', 2048)
  const encrypted = encrypt('This is the message', privateKey)
  const decrypted = decrypt(encrypted, publicKey)

  console.log(decrypted)
}

```


<!-- Section from "doc/guides/02.Usage.md.hbs" End -->

<!-- Section from "doc/guides/03.Functions.md.hbs" Start -->

<a name="section-doc-guides-03-functions-md"></a>

Functions
---------

Available functions

| Signature | Description |
| ---- | ----------- |
| `generate(bits) -> Array` | Generate RSA key |
| `sign(privateKey, text) -> string` | Create sign |
| `stringify(value) -> string` | Stringify object |
| `verify(publicKey, text, signature) -> boolean` | Verify text with signature |


<!-- Section from "doc/guides/03.Functions.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [Apache-2.0 License](https://github.com/realglobe-Inc/clay-crypto/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [ClayDB][clay_d_b_url]
+ [cryptico][cryptico_url]
+ [Realglobe, Inc.][realglobe,_inc__url]

[clay_d_b_url]: https://github.com/realglobe-Inc/claydb
[cryptico_url]: https://github.com/wwwtyro/cryptico
[realglobe,_inc__url]: http://realglobe.jp

<!-- Links End -->
